libpagemaker::PMDLineSet Class Reference documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
libpagemaker::PMDLineSet Class Referenceabstract

`#include <geometry.h>`

Inheritance diagram for libpagemaker::PMDLineSet:

## Public Member Functions
virtual std::vector< PMDShapePoint > | getPoints () const =0
virtual bool | getIsClosed () const =0
virtual double | getRotation () const =0
virtual double | getSkew () const =0
virtual PMDShapePoint | getRotatingPoint () const =0
virtual PMDShapePoint | getXformTopLeft () const =0
virtual PMDShapePoint | getXformBotRight () const =0
virtual uint8_t | shapeType () const =0
virtual PMDShapePoint | getBboxTopLeft () const =0
virtual PMDShapePoint | getBboxBotRight () const =0
virtual PMDFillProperties | getFillProperties () const =0
virtual PMDStrokeProperties | getStrokeProperties () const =0
virtual std::string | getText () const =0
virtual std::vector< PMDCharProperties > | getCharProperties () const =0
virtual std::vector< PMDParaProperties > | getParaProperties () const =0
virtual librevenge::RVNGBinaryData | getBitmap () const =0
virtual | ~PMDLineSet ()

## Constructor & Destructor Documentation

virtual libpagemaker::PMDLineSet::~PMDLineSet | ( |  | ) |
| inlinevirtual

## Member Function Documentation

virtual PMDShapePoint libpagemaker::PMDLineSet::getBboxBotRight | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual PMDShapePoint libpagemaker::PMDLineSet::getBboxTopLeft | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual librevenge::RVNGBinaryData libpagemaker::PMDLineSet::getBitmap | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual std::vector<PMDCharProperties> libpagemaker::PMDLineSet::getCharProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual PMDFillProperties libpagemaker::PMDLineSet::getFillProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual bool libpagemaker::PMDLineSet::getIsClosed | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual std::vector<PMDParaProperties> libpagemaker::PMDLineSet::getParaProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual std::vector<PMDShapePoint> libpagemaker::PMDLineSet::getPoints | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

Referenced by libpagemaker::getBoundingBox().

virtual PMDShapePoint libpagemaker::PMDLineSet::getRotatingPoint | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual double libpagemaker::PMDLineSet::getRotation | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual double libpagemaker::PMDLineSet::getSkew | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual PMDStrokeProperties libpagemaker::PMDLineSet::getStrokeProperties | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual std::string libpagemaker::PMDLineSet::getText | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual PMDShapePoint libpagemaker::PMDLineSet::getXformBotRight | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual PMDShapePoint libpagemaker::PMDLineSet::getXformTopLeft | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

virtual uint8_t libpagemaker::PMDLineSet::shapeType | ( |  | ) | const
| pure virtual

Implemented in libpagemaker::PMDBitmap, libpagemaker::PMDEllipse, libpagemaker::PMDRectangle, libpagemaker::PMDTextBox, libpagemaker::PMDPolygon, and libpagemaker::PMDLine.

The documentation for this class was generated from the following file:

- geometry.h